![](MessengerClone/messenger-clone.jpg)

# **Messenger Clone** 

### Built for Android using [Stream SDK](https://getstream.io/chat/sdk/compose?utm_source=Github&utm_medium=Github_Repo_Content_Ad&utm_content=Developer&utm_campaign=Github_May2022_SlackAndroidClone&utm_term=DevRelOss) & [Jetpack Compose](https://www.google.com/url?sa=t&rct=j&q=&esrc=s&source=web&cd=&cad=rja&uact=8&ved=2ahUKEwjspaT-4Zv5AhWziP0HHXYtBIEQFnoECAsQAQ&url=https%3A%2F%2Fdeveloper.android.com%2Fjetpack%2Fcompose&usg=AOvVaw2BpAQ4DMwUiKSOtVRyUczM)

This project is developed by [MathRoda](https://www.linkedin.com/in/mathroda/) for more projects [GitHub](https://github.com/MathRoda/) .


# Blog ✍

I wrote a article contains more details about the project , read it here : https://medium.com/@mathroda/crypto-currency-tracker-with-jetpack-compose-clean-architecture-e93a4330a76d

## Application Install

***You can Install and test latest Messenger Clone app from below 👇***

[![MessengerClone](https://img.shields.io/badge/MessengerClone✅-APK-red.svg?style=for-the-badge&logo=android)](https://github.com/MathRoda/Dash-Coin-App/releases/download/v1.0.0/Dash.Coin.apk)

<a href="https://getstream.io/chat/sdk/compose?utm_source=Github&utm_medium=Github_Repo_Content_Ad&utm_content=Developer&utm_campaign=Github_May2022_SlackAndroidClone&utm_term=DevRelOss">
<img src="https://user-images.githubusercontent.com/24237865/138428440-b92e5fb7-89f8-41aa-96b1-71a5486c5849.png" align="right" width="12%"/>
</a>

## 🛥 Stream Chat SDK
Messenger Android clone was built with __[Stream Chat SDK for Compose](https://getstream.io/chat/sdk/compose?utm_source=Github&utm_medium=Github_Repo_Content_Ad&utm_content=Developer&utm_campaign=Github_May2022_SlackAndroidClone&utm_term=DevRelOss)__ to implement messaging systems.

## About
 
- Clean and Simple UI with Jetpack Compose.
- Best and Clean Code Quality following Modern Android Development
- Stream SDK for messaging systems

## 📸 Screenshots 

|   |   |   |   |
|---|---|---|---|
|![](MessengerClone/switch-account-screen.png) | ![](MessengerClone/main-screen.png) | ![](MessengerClone/profile-screen.png) | ![](MessengerClone/search-screen.png) 
|![](MessengerClone/reacted-screen.png) | ![](MessengerClone/reaction-screen.png) | ![](MessengerClone/sent-message-screen.png) | ![](MessengerClone/message-deleted-screen.png)

## 🛠 Tech Sacks & Open Source Libraries
- 100% [Jetpack Compose](https://developer.android.com/jetpack/compose) based + [Coroutines](https://github.com/Kotlin/kotlinx.coroutines) + [Flow](https://kotlin.github.io/kotlinx.coroutines/kotlinx-coroutines-core/kotlinx.coroutines.flow/) for asynchronous tasks.
- [Compose Chat SDK from Stream](https://getstream.io/chat/sdk/compose?utm_source=Github&utm_medium=Github_Repo_Content_Ad&utm_content=Developer&utm_campaign=Github_May2022_SlackAndroidClone&utm_term=DevRelOss): The Jetpack Compose Chat Messaging SDK is built on a low-level chat client and provides modular, customizable Compose UI components that you can easily drop into your app.
- Jetpack
  - Compose: Android’s modern toolkit for building native UI.
  - Lifecycle: Observe lifecycle changes.
  - ViewModel: UI related data holder and lifecycle aware.
  - Room Persistence: Constructs Database by providing an abstraction layer over SQLite to allow fluent database access.
  - Paging3: Loads and displays pages of data from a larger dataset from local storage or over network.
- [Retrofit2 & OkHttp3](https://github.com/square/retrofit): Construct the REST APIs and paging network data.
- [Timber](https://github.com/JakeWharton/timber): A logger with a small, extensible API which provides utility.


## 🏛️ Package Structure

![](MessengerClone/package.jpg)


## 💯 MAD Score

![](MessengerClone/madscore.png)

---

## If you like my projects you can buy me a cup of coffee 💙
  
<a href="https://www.buymeacoffee.com/mathroda"><img src="https://img.buymeacoffee.com/button-api/?text=Buy me a coffee&emoji=&slug=VaibhavJaiswal&button_colour=FFDD00&font_colour=000000&font_family=Cookie&outline_colour=000000&coffee_colour=ffffff"></a>


 ## Contact
you can connect with me here [LinkedIn](https://www.linkedin.com/in/mathroda/) .
 
